<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:35 GMT 2018 -->
<title>TreeNode</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TreeNode";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TreeNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/TreeDataStructure.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/UnicodeConverter.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/TreeNode.html" target="_top">Frames</a></li>
<li><a href="TreeNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">mapping</div>
<h2 title="Class TreeNode" class="title">Class TreeNode&lt;T extends java.lang.Comparable&lt;T&gt;&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>mapping.TreeNode&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the data type to be contained in the node</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TreeNode&lt;T extends java.lang.Comparable&lt;T&gt;&gt;</span>
extends java.lang.Object</pre>
<div class="block">Class for modelling nodes of the TreeDataStructure.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Matthew Henderson - University of Glasgow Masters Project 2018</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../mapping/TreeDataStructure.html" title="class in mapping"><code>TreeDataStructure</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#TreeNode-T-mapping.TreeNode-">TreeNode</a></span>(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;data,
        <a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;&nbsp;parent)</code>
<div class="block">Constructs the tree node object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#addChild-T-">addChild</a></span>(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;child)</code>
<div class="block">Creates a node for an element and adds it to the list of children.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#getChildren--">getChildren</a></span>()</code>
<div class="block">Returns the list of child nodes.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#getData--">getData</a></span>()</code>
<div class="block">Returns the data contained in the node.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#getParent--">getParent</a></span>()</code>
<div class="block">Returns the parent node of the node.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#hasChildren--">hasChildren</a></span>()</code>
<div class="block">Returns whether the node has children.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../mapping/TreeNode.html#removeChild-T-">removeChild</a></span>(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;child)</code>
<div class="block">Removes a child element from the list of children.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TreeNode-java.lang.Comparable-mapping.TreeNode-">
<!--   -->
</a><a name="TreeNode-T-mapping.TreeNode-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TreeNode</h4>
<pre>public&nbsp;TreeNode(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;data,
                <a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;&nbsp;parent)</pre>
<div class="block">Constructs the tree node object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - the data to be stored in the node</dd>
<dd><code>parent</code> - the parent node of the new node</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre>public&nbsp;<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;&nbsp;getParent()</pre>
<div class="block">Returns the parent node of the node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parent node</dd>
</dl>
</li>
</ul>
<a name="removeChild-java.lang.Comparable-">
<!--   -->
</a><a name="removeChild-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeChild</h4>
<pre>public&nbsp;boolean&nbsp;removeChild(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;child)</pre>
<div class="block">Removes a child element from the list of children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>child</code> - the element to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the element has, 
                                been successfully removed, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="addChild-java.lang.Comparable-">
<!--   -->
</a><a name="addChild-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addChild</h4>
<pre>public&nbsp;void&nbsp;addChild(<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;child)</pre>
<div class="block">Creates a node for an element and adds it to the list of children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>child</code> - the element to be added as a child</dd>
</dl>
</li>
</ul>
<a name="getChildren--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a>&lt;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&gt;&gt;&nbsp;getChildren()</pre>
<div class="block">Returns the list of child nodes.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of child nodes</dd>
</dl>
</li>
</ul>
<a name="hasChildren--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasChildren</h4>
<pre>public&nbsp;boolean&nbsp;hasChildren()</pre>
<div class="block">Returns whether the node has children.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>returns <code>true</code> if the node has children, 
                        <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="getData--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;<a href="../mapping/TreeNode.html" title="type parameter in TreeNode">T</a>&nbsp;getData()</pre>
<div class="block">Returns the data contained in the node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the data contained in the node</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TreeNode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../mapping/TreeDataStructure.html" title="class in mapping"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../mapping/UnicodeConverter.html" title="class in mapping"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?mapping/TreeNode.html" target="_top">Frames</a></li>
<li><a href="TreeNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
